<?php
session_start();
require 'conexao.php';


if (isset($_POST['mover'])) {
    $direcao = $_POST['direcao'];
    $personagem = $_SESSION['personagem']; // Certifique-se de que $personagem tenha sido definido anteriormente
$livre = "livre";
if ($direcao == '') { header("Location: dashboardmed.php");
exit;
}

$_SESSION['msg'] = "";

    // Atualize a coluna 'local' na tabela 'personagens' para o novo valor
    $sql = "UPDATE personagens SET situacao = :livre, local = :direcao WHERE id = :personagem";
    $stmt = $pdo->prepare($sql);
    $stmt->bindParam(':livre', $livre, PDO::PARAM_STR);
    $stmt->bindParam(':direcao', $direcao, PDO::PARAM_STR);
    $stmt->bindParam(':personagem', $personagem, PDO::PARAM_STR);
if ($stmt->execute()) {
   // echo "Local do personagem atualizado com sucesso para $direcao.";
header("Location: dashboardmed.php");
exit; // Certifique-se de encerrar o script após o redirecionamento

} else {
    echo "Erro ao atualizar o local do personagem: " . $stmt->errorInfo()[2];
}

    
}

// Feche a conex���o PDO quando terminar

?>
